:root {
	--navy: #004987;
	--green: #008b46;
	--pink: #e90c8e;
	--brown: #996633;
	--black: #343a40;

	/* Corporate Event Tags */
	--open-house: #448aa9;
	--information-session: #4d6b53;
	--transportation: #7c52c8;
	--health-well-being: #b55400;
	--registration: #00afb3;
	--community-engagement: #004987;
	--board-of-trustees: #ec008c;
	--holidays-breaks: #bf9a77;
    --meeting: #A8877B;
}

/* Legends (Calendar tags are located in calendar.css) */
/* News Article Tag */
.news-post-tag[data-name="weekly update"]::before {
	background: var(--weekly-update);
}
.news-post-tag[data-name="principal's message"]::before {
	background: var(--principals-message);
}
.news-post-tag[data-name="school council"]::before {
	background: var(--school-council);
}
.news-post-tag[data-name="activities / clubs"]::before {
	background: var(--clubs);
}
.news-post-tag[data-name="performance / assembly"]::before {
	background: var(--performance);
}
.news-post-tag[data-name="no school / classes"]::before {
	background: var(--no-school);
}
.news-post-tag[data-name="well-being & health"]::before {
	background: var(--well-being);
}
.news-post-tag[data-name="culture / spirit"]::before {
	background: var(--culture);
}
.news-post-tag[data-name="meeting"]::before {
	background: var(--meeting);
}
.news-post-tag[data-name="off-site activity"]::before {
	background: var(--off-site-activity);
}
.news-post-tag[data-name="academic"]::before {
	background: var(--academic);
}
.news-post-tag[data-name="parent society"]::before {
	background: var(--parent-society);
}
.news-post-tag[data-name="athletics"]::before {
	background: var(--athletics);
}

.news-post-tag[data-name="open house"]::before {
	background: var(--open-house);
}

.news-post-tag[data-name="information session"]::before {
	background: var(--information-session);
}

.news-post-tag[data-name="transportation"]::before {
	background: var(--transportation);
}

.news-post-tag[data-name="health & well-being"]::before {
	background: var(--health-well-being);
}

.news-post-tag[data-name="registration"]::before {
	background: var(--registration);
}

.news-post-tag[data-name="community engagement"]::before {
	background: var(--community-engagement);
}

.news-post-tag[data-name="board of trustees"]::before {
	background: var(--board-of-trustees);
}

.news-post-tag[data-name="holidays & breaks"]::before {
	background: var(--holidays-breaks);
}

/* News Centre Filters */
.filter-group[data-name="weekly update"] {
	background: var(--weekly-update);
}
.filter-group[data-name="principal's message"] {
	background: var(--principals-message);
}
.filter-group[data-name="school council"] {
	background: var(--school-council);
}
.filter-group[data-name="activities / clubs"] {
	background: var(--clubs);
}
.filter-group[data-name="performance / assembly"] {
	background: var(--performance);
}
.filter-group[data-name="no school / classes"] {
	background: var(--no-school);
}
.filter-group[data-name="well-being & health"] {
	background: var(--well-being);
}
.filter-group[data-name="culture / spirit"] {
	background: var(--culture);
}
.filter-group[data-name="meeting"] {
	background: var(--meeting);
}
.filter-group[data-name="off-site activity"] {
	background: var(--off-site-activity);
}
.filter-group[data-name="academic"] {
	background: var(--academic);
}
.filter-group[data-name="parent society"] {
	background: var(--parent-society);
}
.filter-group[data-name="athletics"] {
	background: var(--athletics);
}
.filter-group[data-name="registration"] {
	background: var(--registration);
}


/* Corporate Event Tags */
.event-date-wrapper[data-name="open house"],
.filter-checkbox-wrapper[data-name="open house"] {
	background: var(--open-house);
}

.event-date-wrapper[data-name="information session"],
.filter-checkbox-wrapper[data-name="information session"] {
	background: var(--information-session);
}

.event-date-wrapper[data-name="transportation"],
.filter-checkbox-wrapper[data-name="transportation"] {
	background: var(--transportation);
}

.event-date-wrapper[data-name="health & well-being"],
.filter-checkbox-wrapper[data-name="health & well-being"] {
	background: var(--health-well-being);
}

.event-date-wrapper[data-name="registration"],
.filter-checkbox-wrapper[data-name="registration"] {
	background: var(--registration);
}

.event-date-wrapper[data-name="community engagement"],
.filter-checkbox-wrapper[data-name="community engagement"] {
	background: var(--community-engagement);
}

.event-date-wrapper[data-name="board of trustees"],
.filter-checkbox-wrapper[data-name="board of trustees"] {
	background: var(--board-of-trustees);
}

.event-date-wrapper[data-name="holidays & breaks"],
.filter-checkbox-wrapper[data-name="holidays & breaks"] {
	background: var(--holidays-breaks);
}

.event-date-wrapper[data-name="meeting"],
.filter-checkbox-wrapper[data-name="meeting"] {
	background: var(--meeting);
}

/* Quicklinks Text Colour */
.text-link.text-primary .quicklink-label-wrapper {
	color: var(--primary-color-1);
}

.text-link.text-navy .quicklink-label-wrapper {
	color: var(--navy);
}

.text-link.text-green .quicklink-label-wrapper {
	color: var(--green);
}

.text-link.text-pink .quicklink-label-wrapper {
	color: var(--pink);
}

.text-link.text-brown .quicklink-label-wrapper {
	color: var(--brown);
}

.text-link.text-black .quicklink-label-wrapper {
	color: var(--black);
}

.quicklink-item.text-link {
	border-color: var(--primary-color-1);
}

.quicklink-item.text-link.text-navy {
	border-color: var(--navy);
}

.quicklink-item.text-link.text-green {
	border-color: var(--green);
}

.quicklink-item.text-link.text-pink {
	border-color: var(--pink);
}

.quicklink-item.text-link.text-brown {
	border-color: var(--brown);
}

.quicklink-item.text-link.text-black {
	border-color: var(--black);
}

/* Image Quick link */
.image-link.text-primary .quicklink-label-wrapper {
	background-color: var(--primary-color-1);
}

.image-link.text-navy .quicklink-label-wrapper {
	background-color: var(--navy);
}

.image-link.text-green .quicklink-label-wrapper {
	background-color: var(--green);
}

.image-link.text-pink .quicklink-label-wrapper {
	background-color: var(--pink);
}

.image-link.text-brown .quicklink-label-wrapper {
	background-color: var(--brown);
}

.image-link.text-black .quicklink-label-wrapper {
	background-color: var(--black);
}

.image-link.text-primary .quicklink-img-wrapper i {
	color: var(--primary-color-1);
}

.image-link.text-navy .quicklink-img-wrapper i {
	color: var(--navy);
}

.image-link.text-green .quicklink-img-wrapper i {
	color: var(--green);
}

.image-link.text-pink .quicklink-img-wrapper i {
	color: var(--pink);
}

.image-link.text-brown .quicklink-img-wrapper i {
	color: var(--brown);
}

.image-link.text-black .quicklink-img-wrapper i {
	color: var(--black);
}
